JmolDialogInterface
Date: 2019-10-22

org.jmol.api

## Interface JmolDialogInterface

- All Known Implementing Classes:
    Dialog

      public interface JmolDialogInterface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFileNameFromDialog(Viewer vwr, java.lang.String dialogType, java.lang.String inputFileName)`
    `java.lang.String` | `getImageFileNameFromDialog(Viewer vwr, java.lang.String fileName, java.lang.String type, java.lang.String[] imageChoices, java.lang.String[] imageExtensions, int qualityJPG, int qualityPNG)`
    `java.lang.String` | `getOpenFileNameFromDialog(java.util.Map<java.lang.String,java.lang.Object> vwrOptions, Viewer vwr, java.lang.String fileName, JmolAppAPI historyFile, java.lang.String windowName, boolean allowAppend)`
    `int` | `getQuality(java.lang.String sType)`
    `java.lang.String` | `getSaveFileNameFromDialog(Viewer vwr, java.lang.String data, java.lang.String type)`
    `java.lang.String` | `getType()`
    `void` | `setImageInfo(int qualityJPG, int qualityPNG, java.lang.String imageType)`
    `void` | `setupUI(boolean forceNewTranslation)`

- - ### Method Detail

    - #### setupUI

          void setupUI(boolean forceNewTranslation)

    - #### getType

          java.lang.String getType()

      Returns:
        The file type which contains the user's choice

    - #### getQuality

          int getQuality(java.lang.String sType)

      Parameters:
        `sType` - JPG or PNG
      Returns:
        The quality (on a scale from 0 to 100) of the JPEG. 0 to 9 for PNG image that is to be generated. Returns -1 if choice was not JPEG or PNG.

    - #### getOpenFileNameFromDialog

          java.lang.String getOpenFileNameFromDialog(java.util.Map<java.lang.String,java.lang.Object> vwrOptions,
                                                     Viewer vwr,
                                                     java.lang.String fileName,
                                                     JmolAppAPI historyFile,
                                                     java.lang.String windowName,
                                                     boolean allowAppend)

    - #### getSaveFileNameFromDialog

          java.lang.String getSaveFileNameFromDialog(Viewer vwr,
                                                     java.lang.String data,
                                                     java.lang.String type)

    - #### getImageFileNameFromDialog

          java.lang.String getImageFileNameFromDialog(Viewer vwr,
                                                      java.lang.String fileName,
                                                      java.lang.String type,
                                                      java.lang.String[] imageChoices,
                                                      java.lang.String[] imageExtensions,
                                                      int qualityJPG,
                                                      int qualityPNG)

    - #### setImageInfo

          void setImageInfo(int qualityJPG,
                            int qualityPNG,
                            java.lang.String imageType)

    - #### getFileNameFromDialog

          java.lang.String getFileNameFromDialog(Viewer vwr,
                                                 java.lang.String dialogType,
                                                 java.lang.String inputFileName)